@import url('https://fonts.googleapis.com/css2?family=Cinzel+Decorative:wght@400;700;900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

section {
  margin: 100px 0px;
}

img {
  max-width: 100%;
}

a {
  text-decoration: none;
}

html,
body {
  width: 100%;
  height: 100%;
  margin: 0px;
  padding: 0px;
  overflow-x: hidden;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: 'Montserrat';
}

.navbar {
  background-color: black;
  position: relative;
  z-index: 100;
  box-shadow: none;
  color: white !important;
}

.navbar-home {
  background-color: transparent;
  color: transparent;
}

.navbar-brand {
  padding: 10px;
}

.navbar-toggler {
  background-color: white;
}

.navbar-brand img {
  max-width: 100px;
  height: auto;
  width: 100px;
}

.nav-link {
  color: white;
}

.flag-icon {
  width: 25px;
}

.navbar-home {
  color: transparent;
}

.nav-link:hover {
  color: rgb(226, 203, 159) !important;
}

.main-btn {
  border: 2px solid white;
  color: white;
  font-family: Montserrat;
  border-radius: 40px;
}

.main-btn:hover {
  background-color: beige;
  color: rgb(145, 127, 93);
}

.book-btn {
  background-color: rgb(145, 127, 93);
  color: white;
  border-radius: 40px;
  padding: 15px 35px;
  font-family: Montserrat;
}

.book-btn:hover {
  background-color: white;
  color: rgb(145, 127, 93);
}

.navbar li {
  margin: 0px 15px;
}

.navbar li a {
  font-family: Poppins;
}

.carousel {
  margin-top: -15vh;
}

.carousel-item {
  position: relative;
}

.carousel-caption {
  position: absolute;
  top: 50%;
  left: 25%;
  transform: translate(-25%, -50%);
  bottom: auto;
  color: white;
}

.carousel-inner,
.carousel-item img {
  height: 95vh;
}

.carousel-inner img {
  object-fit: cover;
  filter: brightness(0.6);
}

.carousel-caption p {
  font-weight: 400;
  letter-spacing: 8px;
  font-size: 18px;
  color: rgb(225, 215, 178);
}

.carousel-caption h1 {
  font-weight: 700;
  font-size: 4rem;
}

.about p:first-child {
  font-weight: 400;
  letter-spacing: 8px;
  font-size: 18px;
  color: rgb(180, 167, 120);
}

.about h2 {
  font-weight: 700;
  color: black;
}

.about p:last-child {
  color: rgb(161, 161, 161);
}

.about h5 {
  font-family: "Cinzel Decorative";
}

.about-img {
  border: 4px solid white;
  margin-left: 80px;
  border-radius: 15px;
  width: 280px;
  z-index: 3;
  position: relative;
}

.about-img2 {
  position: relative;
  z-index: 1;
  border-radius: 14px;
}

.home-banner {
  background: url('../image/banner-bg.jpg')rgba(0, 0, 0, 0.6);
  background-position: bottom;
  background-size: cover;
  height: 60vh;
  background-repeat: no-repeat;
  background-blend-mode: multiply;
  display: flex;
  align-items: center;
  margin-bottom: 0px !important;
  background-image: url("https://api.intermedia-web.com/getSavedAsset/BistricaHotel/hotel-bistrica.al/hotel-bistrica.al_2026-03-16_10-27-54-395/img/20260312_135823_214507692.jpg");
  background-attachment: initial;
  background-origin: initial;
  background-clip: initial;
  background-color: rgba(0, 0, 0, 0.6);
  background-position-x: center;
  background-position-y: bottom;
}

.banner p {
  font-weight: 400;
  letter-spacing: 8px;
  font-size: 18px;
  color: rgb(180, 167, 120);
}

.banner h2 {
  color: white;
  font-size: 4rem;
  font-weight: 300;
}

.home-rooms p {
  color: rgb(121, 121, 121);
}

.room-icon {
  width: 100px;
}

.facilities p:first-child {
  font-weight: 400;
  letter-spacing: 8px;
  font-size: 18px;
  color: rgb(180, 167, 120);
}

.facilities h2 {
  font-weight: 700;
  color: black;
}

.facilities p {
  font-weight: 400;
  letter-spacing: 2px;
  font-size: 18px;
  color: rgb(22, 22, 22);
  margin-top: 15px;
}

.main-btn-room {
  width: 140px;
  opacity: 0;
  transition-duration: 0.5s;
  padding: 7px 15px;
}

.home-rooms {
  margin: 0px 0px;
  padding: 100px 0px;
  background-color: rgb(250, 248, 245);
}

.home-rooms h1 {
  color: black;
}

.testimonials h3 {
  font-size: 2.5rem;
  font-weight: 300;
}

.footer {
  background-color: rgb(20, 20, 20);
  padding-top: 70px;
  color: white;
}

.footer-info h5 {
  color: rgb(180, 167, 120);
}

.footer-info p,
.footer a {
  font-size: 17px;
  color: white;
}

.footer-map {
  border: 0;
  width: 100%;
  height: 160px;
}

.footer-info hr {
  color: rgb(66, 65, 65);
}

.copyright {
  color: white;
}

.copyright img {
  width: 150px;
}

.top-section p {
  font-weight: 400;
  letter-spacing: 8px;
  font-size: 18px;
  color: rgb(180, 167, 120);
}

.top-section h2 {
  color: white;
  font-size: 4rem;
  font-weight: 300;
}

.room-banner {
  background: url('./image/room-5.jpg')rgba(0, 0, 0, 0.4);
  background-size: cover;
  height: 50vh;
  background-position: bottom;
  background-repeat: no-repeat;
  background-blend-mode: multiply;
  display: flex;
  align-items: center;
  margin: 0px;
  background-image: url("https://api.intermedia-web.com/getSavedAsset/BistricaHotel/hotel-bistrica.al/hotel-bistrica.al_2026-03-16_10-27-54-395/img/20260312_144325_214506957.jpg");
  background-attachment: initial;
  background-origin: initial;
  background-clip: initial;
  background-color: rgba(0, 0, 0, 0.4);
  background-position-x: center;
  background-position-y: bottom;
}

.gallery-banner {
  background: url('./image/banner-bg.jpg')rgba(0, 0, 0, 0.4);
  background-size: cover;
  height: 50vh;
  background-position: bottom;
  background-repeat: no-repeat;
  background-blend-mode: multiply;
  display: flex;
  align-items: center;
  margin: 0px;
}

.about-banner {
  background: url('./image/room-5.jpg')rgba(0, 0, 0, 0.4);
  background-size: cover;
  height: 50vh;
  background-position: center;
  background-repeat: no-repeat;
  background-blend-mode: multiply;
  display: flex;
  align-items: center;
  margin: 0px;
  background-image: url("https://api.intermedia-web.com/getSavedAsset/BistricaHotel/hotel-bistrica.al/hotel-bistrica.al_2026-03-16_10-27-54-395/img/20260312_141338_214506957.jpg");
  background-attachment: initial;
  background-origin: initial;
  background-clip: initial;
  background-color: rgba(0, 0, 0, 0.4);
  background-position-x: center;
  background-position-y: center;
}

.contact {
  margin: 100px 0px;
}

.contact-box p {
  color: rgb(75, 75, 75);
}

.contact-icon {
  width: 50px;
}

.map {
  width: 100%;
  border: 0;
  height: 460px;
}

.contact-banner {
  background: url('./image/banner-bg.jpg')rgba(0, 0, 0, 0.4);
  background-size: cover;
  height: 50vh;
  background-position: 0% 80%;
  background-repeat: no-repeat;
  background-blend-mode: multiply;
  display: flex;
  align-items: center;
  margin: 0px;
  background-image: url("https://api.intermedia-web.com/getSavedAsset/BistricaHotel/hotel-bistrica.al/hotel-bistrica.al_2026-03-16_10-27-54-395/img/20260312_144901_214507697.jpg");
  background-attachment: initial;
  background-origin: initial;
  background-clip: initial;
  background-color: rgba(0, 0, 0, 0.4);
  background-position-x: 0%;
  background-position-y: 80%;
}

section {
  margin-top: 100px;
  margin-right: 0px;
  margin-bottom: 100px;
  margin-left: 0px;
}

html,
body {
  width: 100%;
  height: 100%;
  margin-top: 0px;
  margin-right: 0px;
  margin-bottom: 0px;
  margin-left: 0px;
  padding-top: 0px;
  padding-right: 0px;
  padding-bottom: 0px;
  padding-left: 0px;
  overflow-x: hidden;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: Montserrat;
}

.carousel-inner,
.carousel-item img {
  height: 95vh;
}

.snip1533 *,
.snip1533 ::before {
  box-sizing: border-box;
  transition-duration: 0.1s;
  transition-timing-function: ease-out;
  transition-delay: 0s;
  transition-property: all;
}

.snip1533 figcaption::before {
  transform: translateX(-50%);
  background-color: rgb(255, 255, 255);
  border-top-left-radius: 50%;
  border-top-right-radius: 50%;
  border-bottom-right-radius: 50%;
  border-bottom-left-radius: 50%;
  box-shadow: rgba(0, 0, 0, 0.25) 0px 0px 10px;
  color: rgb(160, 143, 115);
  content: "";
  font-family: FontAwesome;
  font-size: 32px;
  font-style: normal;
  left: 50%;
  line-height: 60px;
  position: absolute;
  top: -30px;
  width: 60px;
}

.footer-info p,
.footer a {
  font-size: 17px;
  color: white;
}

.card-testimonials {
  background-color: rgba(160, 143, 115, 0.58);
  padding: 20px;
  border-radius: 20px;
}

.cropped-image {
  object-fit: cover !important;
  object-position: center !important;
  max-width: none !important;
  max-height: none !important;
  min-width: 0 !important;
  min-height: 0 !important;
  display: block !important;
}

.cropped-image-parent,
*:has(.cropped-image) {
  overflow: hidden !important;
  position: relative !important;
}

.cropped-image-parent,
:has(.cropped-image) {
  overflow-x: hidden !important;
  overflow-y: hidden !important;
  position: relative !important;
}

html, body {
  width: 100%;
  height: 100%;
  margin-top: 0px;
  margin-right: 0px;
  margin-bottom: 0px;
  margin-left: 0px;
  padding-top: 0px;
  padding-right: 0px;
  padding-bottom: 0px;
  padding-left: 0px;
  overflow-x: hidden;
}

h1, h2, h3, h4, h5, h6 {
  font-family: Montserrat;
}

.carousel-inner, .carousel-item img {
  height: 95vh;
}

.footer-info p, .footer a {
  font-size: 17px;
  color: white;
}

.snip1533 *, .snip1533 ::before {
  box-sizing: border-box;
  transition-duration: 0.1s;
  transition-timing-function: ease-out;
  transition-delay: 0s;
  transition-property: all;
}

.cropped-image-parent, :has(.cropped-image) {
  overflow-x: hidden !important;
  overflow-y: hidden !important;
  position: relative !important;
}

@media (max-width:1024px) {
  .navbar-home {
    background-color: black;
  }
}

@media (max-width:768px) {
  .carousel-caption h1 {
    font-size: 3rem;
  }
  .snip1533 {
    display: block;
    margin: 30px auto;
  }
  .top-section h2 {
    font-size: 3rem;
  }
  .banner h2 {
    font-size: 2.5rem;
  }
}

@media only screen and (max-width: 687px) {
  .navbar {
    background-color: rgb(36, 36, 36) !important;
  }
  .carousel {
    margin: 0px;
  }
  .about-img {
    width: 100% !important;
    margin: 0dvi !important;
    padding: 8px;
  }
}

@media only screen and (max-width: 600px) {
  .snip1533 {
    max-width: 350px;
  }
  .top-section h2 {
    font-size: 2rem;
  }
  .banner h2 {
    font-size: 2rem;
  }
}

@media (max-width: 320px) {
  .carousel-caption h1 {
    font-size: 2rem;
  }
}